## com.sun.jna.platform.win32
Class User32.MSG

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.User32.MSG

Enclosing interface:
  User32

    public static class User32.MSG

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`W32API.HWND` `hWnd`
`W32API.LPARAM` `lParam`
`int` `message`
`User32.POINT` `pt`
`int` `time`
`W32API.WPARAM` `wParam`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`User32.MSG()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### hWnd

    public W32API.HWND hWnd

### message

    public int message

### wParam

    public W32API.WPARAM wParam

### lParam

    public W32API.LPARAM lParam

### time

    public int time

### pt

    public User32.POINT pt

Constructor Detail

### User32.MSG

    public User32.MSG()